/**
 * DevExtreme (esm/__internal/scheduler/r1/components/base/ordinary_cell.js)
 * Version: 23.2.8 (build 24231-0111)
 * Build date: Sun Aug 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    createVNode
} from "inferno";
import {
    BaseInfernoComponent,
    normalizeStyles
} from "@devextreme/runtime/inferno";
export var OrdinaryCellDefaultProps = {};
export class OrdinaryCell extends BaseInfernoComponent {
    render() {
        var {
            children: children,
            className: className,
            colSpan: colSpan,
            styles: styles
        } = this.props;
        return createVNode(1, "td", className, children, 0, {
            style: normalizeStyles(styles),
            colSpan: colSpan
        })
    }
}
OrdinaryCell.defaultProps = OrdinaryCellDefaultProps;
