/**
 * DevExtreme (cjs/__internal/ui/popup/m_popup.full.js)
 * Version: 23.2.8 (build 24231-0111)
 * Build date: Sun Aug 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = void 0;
require("../../../ui/toolbar");
var _component_registrator = _interopRequireDefault(require("../../../core/component_registrator"));
var _extend = require("../../../core/utils/extend");
var _ui = _interopRequireDefault(require("../../../ui/popup/ui.popup"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}

function _inheritsLoose(subClass, superClass) {
    subClass.prototype = Object.create(superClass.prototype);
    subClass.prototype.constructor = subClass;
    _setPrototypeOf(subClass, superClass)
}

function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function(o, p) {
        o.__proto__ = p;
        return o
    };
    return _setPrototypeOf(o, p)
}
let PopupFull = function(_Popup) {
    _inheritsLoose(PopupFull, _Popup);

    function PopupFull() {
        return _Popup.apply(this, arguments) || this
    }
    var _proto = PopupFull.prototype;
    _proto._getDefaultOptions = function() {
        return (0, _extend.extend)(_Popup.prototype._getDefaultOptions.call(this), {
            preventScrollEvents: false
        })
    };
    _proto._getToolbarName = function() {
        return "dxToolbar"
    };
    return PopupFull
}(_ui.default);
exports.default = PopupFull;
PopupFull.defaultOptions = function(rule) {
    _ui.default.defaultOptions(rule)
};
(0, _component_registrator.default)("dxPopup", PopupFull);
